Browse Source

Extend the exception test.

release/v0.1
Rafal Kupiec 2 years ago
parent
commit
3715b1b53d
Signed by: belliash GPG Key ID: 4E829243E0CFE6B4
2 changed files with 17 additions and 4 deletions
  1. +11
    -3
      tests/exception_handler.aer
  2. +6
    -1
      tests/exception_handler.exp

+ 11
- 3
tests/exception_handler.aer View File

@ -20,6 +20,11 @@ class Program {
ExceptionHandler::handleException($e);
};
set_exception_handler($handler);
try {
print("Called try block 0\n");
} finally {
print("Called finally block 0\n");
}
try {
throw new NewException("Catch me once", 1);
} catch(Exception $e) {
@ -27,9 +32,12 @@ class Program {
} finally {
print("Called finally block 1\n");
}
throw new Exception("Catch me twice", 2);
try {
throw new NewException("Catch me twice", 2);
} finally {
print("Called finally block 2\n");
}
throw new Exception("Catch me thrice", 3);
}
}

+ 6
- 1
tests/exception_handler.exp View File

@ -1,5 +1,10 @@
Called try block 0
Called finally block 0
Uncaught NewException, code: 1
Message: Catch me once
Called finally block 1
Uncaught Exception, code: 2
Called finally block 2
Uncaught NewException, code: 2
Message: Catch me twice
Uncaught Exception, code: 3
Message: Catch me thrice

Loading…
Cancel
Save